# Contributing

Do not violate [DRY](http://programmer.97things.oreilly.com/wiki/index.php/Don%27t_Repeat_Yourself). 

Follow [4 rules of simple design](http://martinfowler.com/bliki/BeckDesignRules.html):

* Passes the tests
* Reveals intention
* No duplication
* Fewest elements

Please follow [Boy Scout Rule](http://programmer.97things.oreilly.com/wiki/index.php/The_Boy_Scout_Rule).

## Adding new assertion

Please add documentation in readme explaining what it does and code example.

## Basics

1. Create issue or address an existing
1. Fork it!
1. Create your feature branch (git checkout -b my-new-feature)
1. Write tests and passes the linting set
1. Run the `npm test` before committing
1. Commit your changes (git commit -am 'Add some feature')
1. Push to the branch (git push origin my-new-feature)
1. Create new Pull Request
1. Reference the issue you're solving